Returns a single metaobject by id, including its definition, handle and fields. To fetch it by its type and slug instead, use Retrieve a metaobject by handle.
Path parameters
Name
Type
Required
Description
id
string
required
Metaobject identifier
Response
200 - Metaobject resource
Property
Type
Required
Description
@context
object
-
@id
string
required
@type
string
required
id
string
-
The resource's unique identifier (UUID).
definition
string
-
The MetaobjectDefinition (IRI) this metaobject is a record of.
handle
string
-
The metaobject's unique slug within its definition type.
status
"DRAFT" | "ACTIVE"
-
The publication status of the metaobject.
displayName
string | null
-
The human-readable label, derived from the field named by the definition's displayNameField.
Property
Type
Required
Description
id
string
-
The resource's unique identifier (UUID).
definition
string
-
The MetaobjectDefinition (IRI) this metaobject is a record of.
handle
string
-
The metaobject's unique slug within its definition type.
status
"DRAFT" | "ACTIVE"
-
The publication status of the metaobject.
displayName
string | null
-
The human-readable label, derived from the field named by the definition's displayNameField.
fields
EmbeddedMetaobjectFieldResource[]
-
The field values of the metaobject, one entry per field definition.
Show fields fields
Property
Type
Required
Description
key
string
-
The field key (matches a field definition key).
value
string | null
-
The field value, stored as a string regardless of the field type.
type
string
-
The field data type, as an IRI to the field-type resource.
metaobject
Metaobject[]
-
Show metaobject fields
Property
Type
Required
Description
id
string
-
The resource's unique identifier (UUID).
definition
string
-
The MetaobjectDefinition (IRI) this metaobject is a record of.
handle
string
-
The metaobject's unique slug within its definition type.
status
"DRAFT" | "ACTIVE"
-
The publication status of the metaobject.
displayName
string | null
-
The human-readable label, derived from the field named by the definition's displayNameField.
fields
EmbeddedMetaobjectFieldResource[]
-
The field values of the metaobject, one entry per field definition.
createdAt
string
-
The date and time when the resource was created (ISO 8601 format).
updatedAt
string
-
The date and time when the resource was last modified (ISO 8601 format).
createdAt
string
-
The date and time when the resource was created (ISO 8601 format).
updatedAt
string
-
The date and time when the resource was last modified (ISO 8601 format).
Errors
403 - Access denied. The caller is missing one or more identity permissions required for this operation.
Content-Type:application/problem+json
Property
Type
Required
Description
@context
object
-
@id
string
required
@type
string
required
type
string
-
title
string
-
status
integer
-
detail
string
-
missingPermissions
string[]
-
Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission.
404 - Not found
Property
Type
Required
Description
@context
object
-
@id
string
required
@type
string
required
title
string | null
-
A short, human-readable summary of the problem.
detail
string | null
-
A human-readable explanation specific to this occurrence of the problem.
status
integer | null
-
instance
string | null
-
A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
type
string
-
A URI reference that identifies the problem type
description
string | null
-
Property
Type
Required
Description
title
string | null
-
A short, human-readable summary of the problem.
detail
string | null
-
A human-readable explanation specific to this occurrence of the problem.
status
integer | null
-
instance
string | null
-
A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.